# Class FilterInputStream

java.lang.Object
java.io.InputStream
com.codename1.io.gzip.FilterInputStream

All Implemented Interfaces:
  `java.io.Closeable, AutoCloseable`

Direct Known Subclasses:
  `InflaterInputStream`

public class FilterInputStream extends java.io.InputStream
Simple version of filter input stream

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected java.io.InputStream`
  `in`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FilterInputStream(java.io.InputStream underlying)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `available()`
  `void`
  `close()`
  `void`
  `mark(int readlimit)`
  `boolean`
  `markSupported()`
  `int`
  `read()`
  `int`
  `read(byte[] b)`
  `int`
  `read(byte[] b, int offset, int length)`
  `void`
  `reset()`
  `long`
  `skip(long n)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### in

    protected java.io.InputStream in

- ## Constructor Details

  - ### FilterInputStream

    protected FilterInputStream(java.io.InputStream underlying)

- ## Method Details

  - ### read

    public int read() throws java.io.IOException
    Specified by:
      `read` in class `java.io.InputStream`
    Throws:
      `java.io.IOException`

  - ### read

    public int read(byte[] b) throws java.io.IOException
    Overrides:
      `read` in class `java.io.InputStream`
    Throws:
      `java.io.IOException`

  - ### read

    public int read(byte[] b, int offset, int length) throws java.io.IOException
    Overrides:
      `read` in class `java.io.InputStream`
    Throws:
      `java.io.IOException`

  - ### skip

    public long skip(long n) throws java.io.IOException
    Overrides:
      `skip` in class `java.io.InputStream`
    Throws:
      `java.io.IOException`

  - ### available

    public int available() throws java.io.IOException
    Overrides:
      `available` in class `java.io.InputStream`
    Throws:
      `java.io.IOException`

  - ### close

    public void close() throws java.io.IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `java.io.Closeable`
    Overrides:
      `close` in class `java.io.InputStream`
    Throws:
      `java.io.IOException`

  - ### mark

    public void mark(int readlimit)
    Overrides:
      `mark` in class `java.io.InputStream`

  - ### reset

    public void reset() throws java.io.IOException
    Overrides:
      `reset` in class `java.io.InputStream`
    Throws:
      `java.io.IOException`

  - ### markSupported

    public boolean markSupported()
    Overrides:
      `markSupported` in class `java.io.InputStream`